CREATE TABLE cmf_fiscal_doc_event_log (
    EVENT_LOG_IDENTIFIER           NUMBER(18, 0),
    FD_HEADER_IDENTIFIER           NUMBER(18, 0)    NOT NULL,
    FD_LINE_IDENTIFIER             NUMBER(18, 0),
    FD_SCHEDULE_IDENTIFIER         NUMBER(18, 0),
    TAXPAYERID                     VARCHAR2(256),
    ACCESS_KEY                     VARCHAR2(256),
    PARENT_EVENT_LOG_IDENTIFIER    NUMBER(18, 0),
    EVENT_NAME                     VARCHAR2(128),
    EVENT_CODE                     VARCHAR2(128),
    EVENT_DATE                     DATE         ,
    EVENT_ACTION                   VARCHAR2(128),
    EVENT_STATUS                   VARCHAR2(128),
    COUNTRY                        VARCHAR2(256),
    STATE                          VARCHAR2(256),
    PROCESSING_DATE                DATE         ,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    EVENT_LOG_IDENTIFIER           NUMBER(18, 0),
    FD_HEADER_IDENTIFIER           NUMBER(18, 0)    NOT NULL,
    FD_LINE_IDENTIFIER             NUMBER(18, 0),
    FD_SCHEDULE_IDENTIFIER         NUMBER(18, 0),
    TAXPAYERID                     VARCHAR2(256),
    ACCESS_KEY                     VARCHAR2(256),
    PARENT_EVENT_LOG_IDENTIFIER    NUMBER(18, 0),
    EVENT_NAME                     VARCHAR2(128),
    EVENT_CODE                     VARCHAR2(128),
    EVENT_DATE                     DATE         ,
    EVENT_ACTION                   VARCHAR2(128),
    EVENT_STATUS                   VARCHAR2(128),
    COUNTRY                        VARCHAR2(256),
    STATE                          VARCHAR2(256),
    PROCESSING_DATE                DATE         ,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    CONSTRAINT pk_cmf_fiscal_doc_event_log PRIMARY KEY (EVENT_LOG_IDENTIFIER, EVENT_LOG_IDENTIFIER)
);
